/*
Copyright (c) 2001 Dan Vernon

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version. This program is
distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details. You should have received a copy of the GNU
General Public License along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// Timer.h: interface for the CuTimer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_UTIMER_H__29BA6C8C_47D5_41B7_99BE_E21AB9F2B3E4__INCLUDED_)
#define AFX_UTIMER_H__29BA6C8C_47D5_41B7_99BE_E21AB9F2B3E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef WIN32
#include "windefines.h"
#else if __GNUC__
#include "gnuDefines.h"
#endif

class CuTimer
{
public:
	CuTimer();
	virtual ~CuTimer();

	void usleep(DWORD us);
	void calibrateTimer();
	void begin();
	LONGLONG utime();

private:
#if WIN32
	LARGE_INTEGER liFreq;
	LARGE_INTEGER liTimer;
#endif
};

#endif // !defined(AFX_UTIMER_H__29BA6C8C_47D5_41B7_99BE_E21AB9F2B3E4__INCLUDED_)
