VERSION 5.00
Begin VB.Form frmCreateImage 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Create Disk Image"
   ClientHeight    =   3810
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   Icon            =   "frmCreateImage.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3810
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.ComboBox cboDrive 
      Height          =   315
      Left            =   1680
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   2910
      Width           =   705
   End
   Begin VB.CheckBox chkMount 
      Caption         =   "Mount Image As"
      Height          =   285
      Left            =   150
      TabIndex        =   3
      Top             =   2940
      Width           =   1485
   End
   Begin VB.ComboBox cboDensity 
      Height          =   315
      Left            =   3030
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   2190
      Width           =   1545
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2250
      TabIndex        =   5
      Top             =   3360
      Width           =   1125
   End
   Begin VB.CommandButton cmdSave 
      Caption         =   "Save..."
      Default         =   -1  'True
      Height          =   375
      Left            =   3480
      TabIndex        =   6
      Top             =   3360
      Width           =   1095
   End
   Begin VB.TextBox txtSectorCount 
      BeginProperty DataFormat 
         Type            =   1
         Format          =   "0"
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1033
         SubFormatType   =   1
      EndProperty
      Height          =   315
      Left            =   870
      TabIndex        =   1
      Top             =   2190
      Width           =   1365
   End
   Begin VB.ListBox lstImages 
      Height          =   2010
      ItemData        =   "frmCreateImage.frx":058A
      Left            =   90
      List            =   "frmCreateImage.frx":058C
      TabIndex        =   0
      Top             =   90
      Width           =   4455
   End
   Begin VB.Label Label3 
      Caption         =   "(Note: max sectors is 65535)"
      Height          =   225
      Left            =   150
      TabIndex        =   9
      Top             =   2550
      Width           =   3585
   End
   Begin VB.Label Label2 
      Caption         =   "Density:"
      Height          =   225
      Left            =   2340
      TabIndex        =   8
      Top             =   2250
      Width           =   705
   End
   Begin VB.Label Label1 
      Caption         =   "Sectors:"
      Height          =   225
      Left            =   120
      TabIndex        =   7
      Top             =   2250
      Width           =   645
   End
End
Attribute VB_Name = "frmCreateImage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Copyright (c) 2001 Dan Vernon
'
'This program is free software; you can redistribute it and/or modify it under the terms
'of the GNU General Public License as published by the Free Software Foundation; either
'version 2 of the License, or (at your option) any later version. This program is
'distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
'the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details. You should have received a copy of the GNU
'General Public License along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
Option Explicit

Private Sub DoEnabling()
    cboDrive.Enabled = chkMount.Value = vbChecked
    
    Dim i As Long
    On Error Resume Next
    i = CLng("0" & txtSectorCount.Text)
    On Error GoTo 0
    cmdSave.Enabled = cboDensity.ListIndex <> -1 And i > 0 And i < 65536
End Sub

Private Sub cboDensity_Click()
    DoEnabling
End Sub

Private Sub chkMount_Click()
    DoEnabling
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdSave_Click()
    Dim s As String
    Dim rc As Long
    s = SaveFile("Save Disk Image", atrFilter, Me.hwnd)
    If Len(s) Then
        Dim attr As Long
        attr = GetFileAttributes(s)
        If attr = -1 Then
            'new file
            rc = vbYes
        ElseIf attr And 1 Then
            rc = MsgBox("Are you sure you want to replace the existing read-only file " & s & "?", vbYesNo Or vbQuestion, "Atari810")
        Else
            rc = MsgBox("Are you sure you want to replace the existing file " & s & "?", vbYesNo Or vbQuestion, "Atari810")
        End If
        If rc <> vbYes Then Exit Sub
        gUI.sio.createImage s, CLng(txtSectorCount), cboDensity.ItemData(cboDensity.ListIndex)
    End If
    If chkMount.Value = vbChecked Then
        gUI.sio.mount s, cboDrive.ItemData(cboDrive.ListIndex), False
    End If
    Unload Me
End Sub

Private Sub Form_Load()
    DoEnabling
    Dim i As Integer
    For i = 1 To 8
        cboDrive.AddItem "D" & i
        cboDrive.ItemData(i - 1) = i
    Next
    cboDrive.ListIndex = 0
    cboDensity.AddItem "Single"
    cboDensity.AddItem "Double"
    cboDensity.ItemData(0) = 128
    cboDensity.ItemData(1) = 256
    cboDensity.ListIndex = 0
    
    gUI.settings.LoadDiskImageDefs
    
    On Error Resume Next
    For i = 0 To UBound(DiskImageTemplates)
        lstImages.AddItem DiskImageTemplates(i).description
    Next
End Sub

Private Sub lstImages_Click()
    txtSectorCount.Text = DiskImageTemplates(lstImages.ListIndex).sectorcount
    cboDensity.ListIndex = IIf(DiskImageTemplates(lstImages.ListIndex).sectorsize = 128, 0, 1)
End Sub

Private Sub txtSectorCount_Change()
    DoEnabling
End Sub
